- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

X509_get0_uids - get certificate unique identifiers

# SYNOPSIS

     #include <openssl/x509.h>

     void X509_get0_uids(const X509 *x, const ASN1_BIT_STRING **piuid,
                         const ASN1_BIT_STRING **psuid);

# DESCRIPTION

X509_get0_uids() sets *piuid and *psuid to the issuer and subject unique identifiers of certificate x or NULL if the fields are not present.

# NOTES

The issuer and subject unique identifier fields are very rarely encountered in practice outside test cases.

# RETURN VALUES

X509_get0_uids() does not return a value.

# SEE ALSO

ERR_get_error(3), X509_get0_signature(3), X509_get_extension_flags(3), X509_get_subject_name(3), X509_NAME_add_entry_by_txt(3), X509_NAME_get_index_by_NID(3), X509_new(3), X509V3_get_d2i(3), COPYRIGHT

Copyright 2015-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.